import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
import { line } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20*2/3
;
const eyeOffsetX = 90*2/3;
const eyeOffsetY = 100*2/3;
const eyeRadius = 40*2/3;
const mouthWidth = 20*2/3;
const mouthRadius = 100*2/3;
var points = [
  [0, -80],
  [100, -80],
  [200, -190],
  [300, -190],
  [400, -80],
  [500, -80]
];
const myline=line()
	.curve(d3.curveCardinal);
	

//var pathData = lineGenerator(points);
const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3 / 2);
const glasse=arc()
	.innerRadius(eyeRadius+20)
	.outerRadius(eyeRadius +30)
  .startAngle(0)
  .endAngle(Math.PI *2);

const App = () => (
  <svg width={width} height={height}>
   
   
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY*2/3 - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
     
     
    </g>
    <g transform={`translate(${centerX+eyeOffsetX },${centerY-eyeOffsetY})`}>
    <path d={glasse()}/>
    </g>
     <g transform={`translate(${centerX-eyeOffsetX },${centerY-eyeOffsetY})`}>
    <path d={glasse()}/>
    </g>
      <g transform={`translate(${centerX },${centerY+50})`}>
    <path d={mouthArc()}/>
    </g>
       <g transform={`translate(${centerX-250 },${centerY-50})`}>
    <path d={myline(points)}/>
    </g>
   
   
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
